> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get split by reference



## OpenAPI

````yaml /openapi/partner.openapi.json get /terminal/split/{split}
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
paths:
  /terminal/split/{split}:
    get:
      tags:
        - Partner Terminal
      summary: Get split by reference
      parameters:
        - $ref: '#/components/parameters/TerminalHeaderParam'
        - name: split
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Split details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Split'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  parameters:
    TerminalHeaderParam:
      name: x-terminal
      in: header
      required: true
      schema:
        type: string
      description: Terminal serial number
  schemas:
    Split:
      type: object
      required:
        - Amount
        - Reference
        - TotalPaid
        - Remaining
        - Status
      properties:
        Amount:
          type: number
        Reference:
          type: string
        Title:
          type: string
        Description:
          type: string
        TotalPaid:
          type: number
        Remaining:
          type: number
        Status:
          $ref: '#/components/schemas/SplitStatus'
    SplitStatus:
      type: string
      enum:
        - Pending
        - Completed
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````